package com.ruoyi.system.mapper.md;

import com.ruoyi.system.domain.md.NewmsgOutbox;
import com.ruoyi.system.domain.md.NewmsgOutboxExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NewmsgOutboxMapper {
    long countByExample(NewmsgOutboxExample example);

    int deleteByExample(NewmsgOutboxExample example);

    int deleteByPrimaryKey(String id);

    int insert(NewmsgOutbox record);

    int insertSelective(NewmsgOutbox record);

    List<NewmsgOutbox> selectByExampleWithBLOBs(NewmsgOutboxExample example);

    List<NewmsgOutbox> selectByExample(NewmsgOutboxExample example);

    NewmsgOutbox selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") NewmsgOutbox record, @Param("example") NewmsgOutboxExample example);

    int updateByExampleWithBLOBs(@Param("record") NewmsgOutbox record, @Param("example") NewmsgOutboxExample example);

    int updateByExample(@Param("record") NewmsgOutbox record, @Param("example") NewmsgOutboxExample example);

    int updateByPrimaryKeySelective(NewmsgOutbox record);

    int updateByPrimaryKeyWithBLOBs(NewmsgOutbox record);

    int updateByPrimaryKey(NewmsgOutbox record);
}